"""Ferda auction app config."""

from django.apps import AppConfig
from django.utils.translation import gettext_lazy as _

from .settings import FerdaAuctionSettings


class FerdaAuctionConfig(AppConfig):
    """Ferda auction app config."""

    name = "ferda_auction"
    verbose_name = _("Domain auctions")

    def ready(self) -> None:
        """Check configuration."""
        FerdaAuctionSettings.check()
